View This No SQL Resource

get

/management/weblogic/{version}/domainConfig/noSQLSystemResources/{name}/noSQLResource

View this no SQL resource.

Request

Path Parameters
Query Parameters
  • The 'excludeFields' query parameter is used to restrict which fields are returned in the response. It is a comma separated list of field names. If present, only fields whose name is not on the list will be returned. If not present, all fields are returned (unless the 'fields' query parameter is specified). Note: 'fields' must not be specified if 'excludeFields' is specified.
  • The 'excludeLinks' query parameter is used to restrict which links are returned in the response. It is a comma separated list of link relationship names. If present, only links whose relationship name is not on the list will be returned. If not present, all links are returned (unless the 'links' query parameter is specified). Note: 'links' must not be specified if 'excludeLinks' is specified.
  • The 'fields' query parameter is used to restrict which fields are returned in the response. It is a comma separated list of field names. If present, only fields with matching names are returned. If not present, all fields are returned (unless the 'excludeFields' query parameter is specified). Note: 'excludeFields' must not be specified if 'fields' is specified.
  • The 'links' query parameter is used to restrict which links are returned in the response. It is a comma separated list of link relationship names. If present, only links with matching relationship names are returned. If not present, all links are returned (unless the 'excludeLinks' query parameter is specified). Note: 'excludeLinks' must not be specified if 'links' is specified.
Security
Back to Top

Response

Supported Media Types

200 Response

Returns this no SQL resource.

This method can return the following links:

  • rel=properties uri=/management/weblogic/{version}/domainConfig/noSQLSystemResources/{name}/noSQLResource/properties

    This resource's properties singleton resource.

Body ()
Root Schema : No SQL Resource
Type: object
Show Source
  • Default Value: DOCUMENT
    Allowed Values: [ "DOCUMENT", "KEY_VALUE", "COLUMN", "GRAPH" ]

    Returns the provider-neutral Jakarta Data database type for this resource.

    The legal values identify database types that may be supported by providers installed in the domain. A legal descriptor value does not imply that every provider supports that type. When a resource is targeted, WebLogic validates the selected provider and database-type combination. Provider capabilities and available WebLogic managed runtime implementations are validated separately.

  • Returns whether this resource is eligible for default selection when a Jakarta NoSQL-backed repository omits dataStore.

    Default selection requires exactly one valid, locally targeted resource explicitly bound to the application and marked as a default.

    This setting does not establish an application binding or grant authorization.

  • Returns the JNDI name assigned to this NoSQL resource.

  • Read Only: true

    Returns the unique name that identifies this NoSQL resource in the WebLogic domain.

  • Allowed Values: [ "oracle-nosql", "mongodb", "dynamodb", "couchbase", "couchdb", "elasticsearch", "solr" ]

    Returns the name of the NoSQL provider used by this resource.

Back to Top